Subject: bug#78520: 31.0.50; Performance issue in dired+isearch with dired-isearch-filenames

From: Juri Linkov <[email-masked]>
Date: Tue, 27 May 2025 20:59:03 +0300

> I'm now looking at `search-within-boundaries'.  Do you think we could
> fall back to a more efficient algorithm even when `subregexp' is nil
> (that seems to work for me)?

So you propose the optimization that moves point to the next search match before
fall back to old algorithm.  I expected that optimization like this is needed.
But it will take more time to adapt it into the current implementation.